Resource Center/Hardware/Host Operations
PUTHost OperationsSince 4.7.0SynchronousAuth Required
PowerResetHost
PowerResetHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
powerresethostObjectRequiredpowerresethost request body object.
methodStringOptional. The method to reboot the host.
returnEarlybooleanOptional. Whether to make the result returned eralier.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/hosts/power/{uuid}/actions
/zstack/v1/hosts/power/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/hosts/power/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"powerresethost":{"method":"<method>","returnEarly":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
